DevExtreme v23.2 is now available.

Explore our newest features/capabilities and share your thoughts with us.

Your search did not match any results.

Resolved Axis Label Overlapping

In this demo, argument axis labels overlap due to their length. To specify the overlapping behavior, you can use one of the following label.overlappingBehavior modes:

  • none
    Leaves axis labels overlapped.

  • hide
    Hides certain axis labels and leaves more space for the others.

  • rotate
    Rotates axis labels at the angle specified by the rotationAngle property.

  • stagger
    Arranges axis labels into two staggered rows. Use the staggeringSpacing property to specify an empty space between rows.

All of the values above can be applied to a horizontal axis, but only none and hide can be specified for a vertical axis.

Backend API
$(() => { const chart = $('#chart').dxChart({ dataSource: population, series: [{ argumentField: 'country', }], argumentAxis: { label: { wordWrap: 'none', overlappingBehavior: overlappingModes[0], }, }, legend: { visible: false, }, title: 'Population by Countries', }).dxChart('instance'); $('#overlapping-modes').dxSelectBox({ dataSource: overlappingModes, inputAttr: { 'aria-label': 'Overlapping Mode' }, value: overlappingModes[0], onValueChanged(e) { chart.option('argumentAxis.label.overlappingBehavior', e.value); }, }); });
<!DOCTYPE html> <html xmlns="http://www.w3.org/1999/xhtml"> <head> <title>DevExtreme Demo</title> <meta http-equiv="X-UA-Compatible" content="IE=edge" /> <meta http-equiv="Content-Type" content="text/html; charset=utf-8" /> <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" /> <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script> <script>window.jQuery || document.write(decodeURIComponent('%3Cscript src="js/jquery.min.js"%3E%3C/script%3E'))</script> <link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/23.2.6/css/dx.light.css" /> <script src="js/dx.all.js"></script> <script src="data.js"></script> <link rel="stylesheet" type="text/css" href="styles.css" /> <script src="index.js"></script> </head> <body class="dx-viewport"> <div class="demo-container"> <div id="chart"></div> <div class="options"> <div class="caption">Options</div> <div class="option"> <span>Overlapping Modes:</span> <div id="overlapping-modes"></div> </div> </div> </div> </body> </html>
#chart { height: 330px; max-width: 900px; margin: auto; } .options { padding: 20px; margin-top: 20px; background-color: rgba(191, 191, 191, 0.15); } .caption { font-weight: 500; font-size: 18px; } .option { margin-top: 10px; } .option > span { position: relative; top: 2px; margin-right: 10px; } .option > .dx-widget { display: inline-block; vertical-align: middle; }
const overlappingModes = ['stagger', 'rotate', 'hide', 'none']; const population = [ { country: 'China', val: 1382500000 }, { country: 'India', val: 1314300000 }, { country: 'United States', val: 324789000 }, { country: 'Indonesia', val: 261600000 }, { country: 'Brazil', val: 207332000 }, { country: 'Pakistan', val: 196865000 }, { country: 'Nigeria', val: 188500000 }, { country: 'Bangladesh', val: 162240000 }, { country: 'Russia', val: 146400000 }, { country: 'Japan', val: 126760000 }, { country: 'Mexico', val: 122273000 }, { country: 'Ethiopia', val: 104345000 }, { country: 'Philippines', val: 103906000 }, { country: 'Egypt', val: 92847800 }, ];

Feel free to share demo-related thoughts here.
If you have technical questions, please create a support ticket in the DevExpress Support Center.
Thank you for the feedback!
If you have technical questions, please create a support ticket in the DevExpress Support Center.
Backend API
import React, { useCallback, useState } from 'react';
import SelectBox, { type SelectBoxTypes } from 'devextreme-react/select-box';
import {
Chart,
Series,
ArgumentAxis,
Legend,
Label,
} from 'devextreme-react/chart';
import { overlappingModes, population, seriesTypeLabel } from './data.ts';
function App() {
const [currentMode, setCurrentMode] = useState(overlappingModes[0]);
const handleChange = useCallback((e: SelectBoxTypes.ValueChangedEvent) => {
setCurrentMode(e.value);
}, [setCurrentMode]);
return (
<React.Fragment>
<Chart
id="chart"
dataSource={population}
title="Population by Countries"
>
<Series argumentField="country" />
<ArgumentAxis>
<Label
wordWrap="none"
overlappingBehavior={currentMode}
/>
</ArgumentAxis>
<Legend visible={false} />
</Chart>
<div className="options">
<div className="caption">Options</div>
<div className="option">
<span>Overlapping Modes: </span>
<SelectBox
dataSource={overlappingModes}
value={currentMode}
inputAttr={seriesTypeLabel}
onValueChanged={handleChange}
/>
</div>
</div>
</React.Fragment>
);
}
export default App;
import React, { useCallback, useState } from 'react';
import SelectBox from 'devextreme-react/select-box';
import {
Chart, Series, ArgumentAxis, Legend, Label,
} from 'devextreme-react/chart';
import { overlappingModes, population, seriesTypeLabel } from './data.js';
function App() {
const [currentMode, setCurrentMode] = useState(overlappingModes[0]);
const handleChange = useCallback(
(e) => {
setCurrentMode(e.value);
},
[setCurrentMode],
);
return (
<React.Fragment>
<Chart
id="chart"
dataSource={population}
title="Population by Countries"
>
<Series argumentField="country" />
<ArgumentAxis>
<Label
wordWrap="none"
overlappingBehavior={currentMode}
/>
</ArgumentAxis>
<Legend visible={false} />
</Chart>
<div className="options">
<div className="caption">Options</div>
<div className="option">
<span>Overlapping Modes: </span>
<SelectBox
dataSource={overlappingModes}
value={currentMode}
inputAttr={seriesTypeLabel}
onValueChanged={handleChange}
/>
</div>
</div>
</React.Fragment>
);
}
export default App;
import React from 'react';
import ReactDOM from 'react-dom';
import App from './App.tsx';
ReactDOM.render(
<App />,
document.getElementById('app'),
);
import { ChartTypes } from 'devextreme-react/chart';
export const overlappingModes: (ChartTypes.ChartsAxisLabelOverlap)[] = ['stagger', 'rotate', 'hide', 'none'];
export const population = [
{ country: 'China', val: 1382500000 },
{ country: 'India', val: 1314300000 },
{ country: 'United States', val: 324789000 },
{ country: 'Indonesia', val: 261600000 },
{ country: 'Brazil', val: 207332000 },
{ country: 'Pakistan', val: 196865000 },
{ country: 'Nigeria', val: 188500000 },
{ country: 'Bangladesh', val: 162240000 },
{ country: 'Russia', val: 146400000 },
{ country: 'Japan', val: 126760000 },
{ country: 'Mexico', val: 122273000 },
{ country: 'Ethiopia', val: 104345000 },
{ country: 'Philippines', val: 103906000 },
{ country: 'Egypt', val: 92847800 },
];
export const seriesTypeLabel = { 'aria-label': 'Series Type' };
window.exports = window.exports || {};
window.config = {
transpiler: 'ts',
typescriptOptions: {
module: 'system',
emitDecoratorMetadata: true,
experimentalDecorators: true,
jsx: 'react',
},
meta: {
'react': {
'esModule': true,
},
'typescript': {
'exports': 'ts',
},
'devextreme/time_zone_utils.js': {
'esModule': true,
},
'devextreme/localization.js': {
'esModule': true,
},
'devextreme/viz/palette.js': {
'esModule': true,
},
'openai': {
'esModule': true,
},
},
paths: {
'npm:': 'https://unpkg.com/',
'bundles:': '../../../../bundles/',
'externals:': '../../../../bundles/externals/',
},
defaultExtension: 'js',
map: {
'ts': 'npm:plugin-typescript@8.0.0/lib/plugin.js',
'typescript': 'npm:typescript@4.2.4/lib/typescript.js',
'jszip': 'npm:jszip@3.10.1/dist/jszip.min.js',
'react': 'npm:react@17.0.2/umd/react.development.js',
'react-dom': 'npm:react-dom@17.0.2/umd/react-dom.development.js',
'prop-types': 'npm:prop-types/prop-types.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@3.4.4/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign',
'devextreme': 'npm:devextreme@24.2.6/cjs',
'devextreme-react': 'npm:devextreme-react@24.2.6/cjs',
'devextreme-quill': 'npm:devextreme-quill@1.7.1/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.2.15/dist/dx-diagram.js',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.60/dist/dx-gantt.js',
'@devextreme/runtime': 'npm:@devextreme/runtime@3.0.12',
'inferno': 'npm:inferno@7.4.11/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@7.4.11/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras/dist/inferno-extras.min.js',
'devextreme-cldr-data': 'npm:devextreme-cldr-data@1.0.3',
// SystemJS plugins
'plugin-babel': 'npm:systemjs-plugin-babel@0.0.25/plugin-babel.js',
'systemjs-babel-build': 'npm:systemjs-plugin-babel@0.0.25/systemjs-babel-browser.js',
// Prettier
'prettier/standalone': 'npm:prettier@2.8.8/standalone.js',
'prettier/parser-html': 'npm:prettier@2.8.8/parser-html.js',
},
packages: {
'devextreme': {
defaultExtension: 'js',
},
'devextreme-react': {
main: 'index.js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/common/core/events/utils': {
main: 'index',
},
'devextreme/localization/messages': {
format: 'json',
defaultExtension: 'json',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
'npm:@devextreme/runtime@3.0.12/inferno/package.json',
],
babelOptions: {
sourceMaps: false,
stage0: true,
react: true,
},
};
System.config(window.config);
import React from 'react';
import ReactDOM from 'react-dom';
import App from './App.js';
ReactDOM.render(<App />, document.getElementById('app'));
export const overlappingModes = ['stagger', 'rotate', 'hide', 'none'];
export const population = [
{ country: 'China', val: 1382500000 },
{ country: 'India', val: 1314300000 },
{ country: 'United States', val: 324789000 },
{ country: 'Indonesia', val: 261600000 },
{ country: 'Brazil', val: 207332000 },
{ country: 'Pakistan', val: 196865000 },
{ country: 'Nigeria', val: 188500000 },
{ country: 'Bangladesh', val: 162240000 },
{ country: 'Russia', val: 146400000 },
{ country: 'Japan', val: 126760000 },
{ country: 'Mexico', val: 122273000 },
{ country: 'Ethiopia', val: 104345000 },
{ country: 'Philippines', val: 103906000 },
{ country: 'Egypt', val: 92847800 },
];
export const seriesTypeLabel = { 'aria-label': 'Series Type' };
<!DOCTYPE html>
<html lang="en">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=5.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/24.2.6/css/dx.light.css" />
<link rel="stylesheet" type="text/css" href="styles.css" />
<script src="https://unpkg.com/core-js@2.6.12/client/shim.min.js"></script>
<script src="https://unpkg.com/systemjs@0.21.3/dist/system.js"></script>
<script type="text/javascript" src="config.js"></script>
<script type="text/javascript">
System.import("./index.tsx");
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="app"></div>
</div>
</body>
</html>
#chart {
height: 330px;
max-width: 900px;
margin: auto;
}
.options {
padding: 20px;
margin-top: 20px;
background-color: rgba(191, 191, 191, 0.15);
}
.caption {
font-weight: 500;
font-size: 18px;
}
.option {
margin-top: 10px;
}
.option > span {
position: relative;
top: 2px;
margin-right: 10px;
}
.option > .dx-widget {
display: inline-block;
vertical-align: middle;
}
All of the values above can be applied to a horizontal axis, but only none
and hide
can be specified for a vertical axis.

Feel free to share demo-related thoughts here.
If you have technical questions, please create a support ticket in the DevExpress Support Center.
Thank you for the feedback!
If you have technical questions, please create a support ticket in the DevExpress Support Center.
Backend API
<dx-chart id="chart" [dataSource]="population" title="Population by Countries">
<dxi-series argumentField="country"></dxi-series>
<dxo-argument-axis>
<dxo-label wordWrap="none" [overlappingBehavior]="currentMode"></dxo-label>
</dxo-argument-axis>
<dxo-legend [visible]="false"></dxo-legend>
</dx-chart>
<div class="options">
<div class="caption">Options</div>
<div class="option">
<span>Overlapping Modes:</span>
<dx-select-box
[dataSource]="overlappingModes"
[(value)]="currentMode"
[inputAttr]="{ 'aria-label': 'Overlapping Mode' }"
>
</dx-select-box>
</div>
</div>
import { NgModule, Component, enableProdMode } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import { DxChartModule, DxSelectBoxModule } from 'devextreme-angular';
import { Service, PopulationData } from './app.service';
if (!/localhost/.test(document.location.host)) {
enableProdMode();
}
let modulePrefix = '';
// @ts-ignore
if (window && window.config?.packageConfigPaths) {
modulePrefix = '/app';
}
@Component({
selector: 'demo-app',
providers: [Service],
templateUrl: `app/app.component.html`,
styleUrls: [`app/app.component.css`],
preserveWhitespaces: true,
})
export class AppComponent {
population: PopulationData[];
currentMode: string;
overlappingModes: string[];
constructor(service: Service) {
this.population = service.getPopulation();
this.currentMode = service.getOverlappingModes()[0];
this.overlappingModes = service.getOverlappingModes();
}
}
@NgModule({
imports: [
BrowserModule,
DxChartModule,
DxSelectBoxModule,
],
declarations: [AppComponent],
bootstrap: [AppComponent],
})
export class AppModule { }
platformBrowserDynamic().bootstrapModule(AppModule);
#chart {
height: 330px;
max-width: 900px;
margin: auto;
}
.options {
padding: 20px;
margin-top: 20px;
background-color: rgba(191, 191, 191, 0.15);
}
.caption {
font-weight: 500;
font-size: 18px;
}
.option {
margin-top: 10px;
}
.option > span {
position: relative;
top: 2px;
margin-right: 10px;
}
.option > .dx-widget {
display: inline-block;
vertical-align: middle;
}
import { Injectable } from '@angular/core';
export class PopulationData {
country: string;
val: number;
}
const population: PopulationData[] = [
{ country: 'China', val: 1382500000 },
{ country: 'India', val: 1314300000 },
{ country: 'United States', val: 324789000 },
{ country: 'Indonesia', val: 261600000 },
{ country: 'Brazil', val: 207332000 },
{ country: 'Pakistan', val: 196865000 },
{ country: 'Nigeria', val: 188500000 },
{ country: 'Bangladesh', val: 162240000 },
{ country: 'Russia', val: 146400000 },
{ country: 'Japan', val: 126760000 },
{ country: 'Mexico', val: 122273000 },
{ country: 'Ethiopia', val: 104345000 },
{ country: 'Philippines', val: 103906000 },
{ country: 'Egypt', val: 92847800 },
];
const overlappingModes = ['stagger', 'rotate', 'hide', 'none'];
@Injectable()
export class Service {
getPopulation(): PopulationData[] {
return population;
}
getOverlappingModes(): string[] {
return overlappingModes;
}
}
// In real applications, you should not transpile code in the browser.
// You can see how to create your own application with Angular and DevExtreme here:
// https://js.devexpress.com/Documentation/Guide/Angular_Components/Getting_Started/Create_a_DevExtreme_Application/
const componentNames = [
'accordion',
'action-sheet',
'autocomplete',
'bar-gauge',
'box',
'bullet',
'button-group',
'button',
'calendar',
'chart',
'chat',
'check-box',
'circular-gauge',
'color-box',
'context-menu',
'data-grid',
'date-box',
'date-range-box',
'defer-rendering',
'diagram',
'draggable',
'drawer',
'drop-down-box',
'drop-down-button',
'file-manager',
'file-uploader',
'filter-builder',
'form',
'funnel',
'gallery',
'gantt',
'html-editor',
'linear-gauge',
'list',
'load-indicator',
'load-panel',
'lookup',
'map',
'menu',
'multi-view',
'nested',
'number-box',
'pagination',
'pie-chart',
'pivot-grid-field-chooser',
'pivot-grid',
'polar-chart',
'popover',
'popup',
'progress-bar',
'radio-group',
'range-selector',
'range-slider',
'recurrence-editor',
'resizable',
'responsive-box',
'sankey',
'scheduler',
'scroll-view',
'select-box',
'slider',
'sortable',
'sparkline',
'speed-dial-action',
'splitter',
'switch',
'tab-panel',
'tabs',
'tag-box',
'text-area',
'text-box',
'tile-view',
'toast',
'toolbar',
'tooltip',
'tree-list',
'tree-map',
'tree-view',
'validation-group',
'validation-summary',
'validator',
'vector-map',
];
window.exports = window.exports || {};
window.config = {
transpiler: 'ts',
typescriptOptions: {
module: 'system',
emitDecoratorMetadata: true,
experimentalDecorators: true,
},
meta: {
'typescript': {
'exports': 'ts',
},
'devextreme/time_zone_utils.js': {
'esModule': true,
},
'devextreme/localization.js': {
'esModule': true,
},
'devextreme/viz/palette.js': {
'esModule': true,
},
'@angular/platform-browser-dynamic': {
'esModule': true,
},
'@angular/platform-browser': {
'esModule': true,
},
'@angular/core': {
'esModule': true,
},
'@angular/common': {
'esModule': true,
},
'@angular/common/http': {
'esModule': true,
},
'@angular/animations': {
'esModule': true,
},
'@angular/forms': {
'esModule': true,
},
'openai': {
'esModule': true,
},
},
paths: {
'npm:': 'https://cdn.jsdelivr.net/npm/',
'bundles:': '../../../../bundles/',
'externals:': '../../../../bundles/externals/',
},
map: {
'ts': 'npm:plugin-typescript@8.0.0/lib/plugin.js',
'typescript': 'npm:typescript@4.2.4/lib/typescript.js',
'jszip': 'npm:jszip@3.10.1/dist/jszip.min.js',
/* @angular */
'@angular/compiler': 'bundles:@angular/compiler.umd.js',
'@angular/platform-browser-dynamic': 'bundles:@angular/platform-browser-dynamic.umd.js',
'@angular/core': 'bundles:@angular/core.umd.js',
'@angular/core/primitives/signals': 'bundles:@angular/core.primitives.signals.umd.js',
'@angular/common': 'bundles:@angular/common.umd.js',
'@angular/common/http': 'bundles:@angular/common-http.umd.js',
'@angular/platform-browser': 'bundles:@angular/platform-browser.umd.js',
'@angular/platform-browser/animations': 'bundles:@angular/platform-browser.umd.js',
'@angular/forms': 'bundles:@angular/forms.umd.js',
/* devextreme */
'devextreme': 'npm:devextreme@24.2.7/cjs',
'@devextreme/runtime': 'npm:@devextreme/runtime@3.0.12',
'devextreme/bundles/dx.all': 'npm:devextreme@24.2.7/bundles/dx.all.js',
'devextreme-quill': 'npm:devextreme-quill@1.7.1/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.2.16',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.60',
/* devextreme-angular umd maps */
'devextreme-angular': 'bundles:devextreme-angular/devextreme-angular.umd.js',
'devextreme-angular/core': 'bundles:devextreme-angular/devextreme-angular-core.umd.js',
'devextreme-angular/http': 'bundles:devextreme-angular/devextreme-angular-http.umd.js',
...componentNames.reduce((acc, name) => {
acc[`devextreme-angular/ui/${name}`] = `bundles:devextreme-angular/devextreme-angular-ui-${name}.umd.js`;
acc[`devextreme-angular/ui/${name}/nested`] = `bundles:devextreme-angular/devextreme-angular-ui-${name}-nested.umd.js`;
return acc;
}, {}),
'tslib': 'npm:tslib/tslib.js',
'rxjs': 'npm:rxjs@7.5.3/dist/bundles/rxjs.umd.js',
'rxjs/operators': 'npm:rxjs@7.5.3/dist/cjs/operators/index.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@3.4.4/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign',
'inferno': 'npm:inferno@7.4.11/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@7.4.11/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras/dist/inferno-extras.min.js',
// Prettier
'prettier/standalone': 'npm:prettier@2.8.8/standalone.js',
'prettier/parser-html': 'npm:prettier@2.8.8/parser-html.js',
},
packages: {
'app': {
main: './app.component.ts',
defaultExtension: 'ts',
},
'devextreme': {
defaultExtension: 'js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/common/core/events/utils': {
main: 'index',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
'rxjs': {
defaultExtension: 'js',
},
'rxjs/operators': {
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
'npm:@devextreme/runtime@3.0.12/inferno/package.json',
'npm:rxjs@7.5.3/package.json',
'npm:rxjs@7.5.3/operators/package.json',
'npm:devexpress-diagram@2.2.16/package.json',
'npm:devexpress-gantt@4.1.60/package.json',
],
};
System.config(window.config);
// System.import('@angular/compiler').catch(console.error.bind(console));
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=5.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/24.2.7/css/dx.light.css" />
<script src="https://cdn.jsdelivr.net/npm/core-js@2.6.12/client/shim.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/zone.js@0.14.10/bundles/zone.umd.js"></script>
<script src="https://cdn.jsdelivr.net/npm/reflect-metadata@0.1.13/Reflect.js"></script>
<script src="https://cdn.jsdelivr.net/npm/systemjs@0.21.3/dist/system.js"></script>
<script src="config.js"></script>
<script>
System.import("app").catch(console.error.bind(console));
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<demo-app>Loading...</demo-app>
</div>
</body>
</html>
All of the values above can be applied to a horizontal axis, but only none
and hide
can be specified for a vertical axis.

Feel free to share demo-related thoughts here.
If you have technical questions, please create a support ticket in the DevExpress Support Center.
Thank you for the feedback!
If you have technical questions, please create a support ticket in the DevExpress Support Center.
Backend API
<template>
<div id="chart-demo">
<DxChart
id="chart"
:data-source="population"
title="Population by Countries"
>
<DxSeries argument-field="country"/>
<DxArgumentAxis>
<DxLabel
:overlapping-behavior="currentMode"
word-wrap="none"
/>
</DxArgumentAxis>
<DxLegend :visible="false"/>
</DxChart>
<div class="options">
<div class="caption">Options</div>
<div class="option">
<span>Overlapping Modes:</span>
<DxSelectBox
:data-source="overlappingModes"
:input-attr="{ 'aria-label': 'Overlapping Mode' }"
v-model:value="currentMode"
/>
</div>
</div>
</div>
</template>
<script setup lang="ts">
import { ref } from 'vue';
import {
DxChart,
DxSeries,
DxArgumentAxis,
DxLegend,
DxLabel,
type DxChartTypes,
} from 'devextreme-vue/chart';
import DxSelectBox from 'devextreme-vue/select-box';
import { overlappingModes, population } from './data.ts';
const currentMode = ref<DxChartTypes.ChartsAxisLabelOverlap>(overlappingModes[0]);
</script>
<style>
#chart {
height: 330px;
max-width: 900px;
margin: auto;
}
.options {
padding: 20px;
margin-top: 20px;
background-color: rgba(191, 191, 191, 0.15);
}
.caption {
font-weight: 500;
font-size: 18px;
}
.option {
margin-top: 10px;
}
.option > span {
position: relative;
top: 2px;
margin-right: 14px;
}
.option > .dx-widget {
display: inline-block;
vertical-align: middle;
}
</style>
window.exports = window.exports || {};
window.config = {
transpiler: 'plugin-babel',
meta: {
'*.vue': {
loader: 'vue-loader',
},
'*.ts': {
loader: 'demo-ts-loader',
},
'*.svg': {
loader: 'svg-loader',
},
'devextreme/time_zone_utils.js': {
'esModule': true,
},
'devextreme/localization.js': {
'esModule': true,
},
'devextreme/viz/palette.js': {
'esModule': true,
},
'openai': {
'esModule': true,
},
},
paths: {
'project:': '../../../../',
'npm:': 'https://cdn.jsdelivr.net/npm/',
'bundles:': '../../../../bundles/',
'externals:': '../../../../bundles/externals/',
},
map: {
'vue': 'npm:vue@3.4.27/dist/vue.esm-browser.js',
'@vue/shared': 'npm:@vue/shared@3.4.27/dist/shared.cjs.prod.js',
'vue-loader': 'npm:dx-systemjs-vue-browser@1.1.2/index.js',
'demo-ts-loader': 'project:utils/demo-ts-loader.js',
'jszip': 'npm:jszip@3.10.1/dist/jszip.min.js',
'svg-loader': 'project:utils/svg-loader.js',
'mitt': 'npm:mitt/dist/mitt.umd.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@3.4.4/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign',
'devextreme': 'npm:devextreme@24.2.7/cjs',
'devextreme-vue': 'npm:devextreme-vue@24.2.7/cjs',
'devextreme-quill': 'npm:devextreme-quill@1.7.1/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.2.16/dist/dx-diagram.js',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.60/dist/dx-gantt.js',
'@devextreme/runtime': 'npm:@devextreme/runtime@3.0.12',
'inferno': 'npm:inferno@7.4.11/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@7.4.11/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras/dist/inferno-extras.min.js',
'plugin-babel': 'npm:systemjs-plugin-babel@0.0.25/plugin-babel.js',
'systemjs-babel-build': 'npm:systemjs-plugin-babel@0.0.25/systemjs-babel-browser.js',
// Prettier
'prettier/standalone': 'npm:prettier@2.8.8/standalone.js',
'prettier/parser-html': 'npm:prettier@2.8.8/parser-html.js',
},
packages: {
'devextreme-vue': {
main: 'index.js',
},
'devextreme': {
defaultExtension: 'js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/common/core/events/utils': {
main: 'index',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
'npm:@devextreme/runtime@3.0.12/inferno/package.json',
],
babelOptions: {
sourceMaps: false,
stage0: true,
},
};
System.config(window.config);
import { type DxChartTypes } from 'devextreme-vue/chart';
export const overlappingModes: DxChartTypes.ChartsAxisLabelOverlap[] = ['stagger', 'rotate', 'hide', 'none'];
export const population = [
{ country: 'China', val: 1382500000 },
{ country: 'India', val: 1314300000 },
{ country: 'United States', val: 324789000 },
{ country: 'Indonesia', val: 261600000 },
{ country: 'Brazil', val: 207332000 },
{ country: 'Pakistan', val: 196865000 },
{ country: 'Nigeria', val: 188500000 },
{ country: 'Bangladesh', val: 162240000 },
{ country: 'Russia', val: 146400000 },
{ country: 'Japan', val: 126760000 },
{ country: 'Mexico', val: 122273000 },
{ country: 'Ethiopia', val: 104345000 },
{ country: 'Philippines', val: 103906000 },
{ country: 'Egypt', val: 92847800 },
];
import { createApp } from 'vue';
import App from './App.vue';
createApp(App).mount('#app');
<!DOCTYPE html>
<html lang="en">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=5.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/24.2.7/css/dx.light.css" />
<script src="https://cdn.jsdelivr.net/npm/typescript@5.4.5/lib/typescript.js"></script>
<script type="module">
import * as vueCompilerSFC from "https://cdn.jsdelivr.net/npm/@vue/compiler-sfc@3.4.27/dist/compiler-sfc.esm-browser.js";
window.vueCompilerSFC = vueCompilerSFC;
</script>
<script src="https://cdn.jsdelivr.net/npm/core-js@2.6.12/client/shim.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/systemjs@0.21.3/dist/system.js"></script>
<script type="text/javascript" src="config.js"></script>
<script type="text/javascript">
System.import("./index.ts");
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="app"> </div>
</div>
</body>
</html>
All of the values above can be applied to a horizontal axis, but only none
and hide
can be specified for a vertical axis.